使用Theos打包报错,怎么解决?

由于我不清楚创建时的配置,担心这个大写的Project Name可以在某个地方使用了,所以,我就干脆了,删掉了。

当然,你是很了解整个项目配置,所以说直接改control的内容就行

谢谢你的点评,下次我就知道了。。
:slight_smile:

According to your error message:

/Applications/Xcode-beta.app/Contents/Developer/usr/bin/make package requires dpkg-deb.
make: *** [internal-package-check] Error 1

, it seems that you haven’t install the theos dependency component dpkg.
just do this fuck brew dpkg, it should work for you.

这不是写的很清楚么

你看看现在的 好像没问题呀
➜ testapp make messages=yes

Making all for tweak testapp…
set -o pipefail; (/Applications/Xcode.app/Contents/Developer/usr/bin/make -f Makefile --no-print-directory --no-keep-going
internal-library-compile
_THEOS_CURRENT_TYPE=tweak THEOS_CURRENT_INSTANCE=testapp _THEOS_CURRENT_OPERATION=compile
THEOS_BUILD_DIR=“.” _THEOS_MAKE_PARALLEL=yes)
set -o pipefail; (mkdir -p /Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/armv7/)
(printf “\e[0;3%im==> \e[1;39m%s…\e[m\n” 1 “Preprocessing Tweak.xm”); set -o pipefail; (/Users/liangze/theos/bin/logos.pl -c warnings=error Tweak.xm > /Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/armv7/Tweak.xm.mm)
==> Preprocessing Tweak.xm…
(printf “\e[0;3%im==> \e[1;39m%s…\e[m\n” 2 “Compiling Tweak.xm (armv7)”); set -o pipefail; (xcrun -sdk iphoneos clang++ -x objective-c++ -c -I"/Users/liangze/Documents/Class-dump-app/testapp" -I/Users/liangze/theos/include -I/Users/liangze/theos/vendor/include -I/Users/liangze/theos/include/_fallback -include /Users/liangze/theos/Prefix.pch -DTARGET_IPHONE=1 -O0 -Wall -Werror -isysroot “/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS11.0.sdk” -D__IPHONE_OS_VERSION_MIN_REQUIRED=__IPHONE_6_0 -miphoneos-version-min=6.0 -fmodules -fcxx-modules -fmodule-name=testapp -fbuild-session-file=/Users/liangze/Documents/Class-dump-app/testapp/.theos/build_session -fmodules-prune-after=345600 -fmodules-prune-interval=86400 -fmodules-validate-once-per-build-session -DDEBUG -ggdb -O0 -DTHEOS_INSTANCE_NAME=“"testapp"” -arch armv7 /Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/armv7/Tweak.xm.mm -o /Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/armv7/Tweak.xm.9275b38c.o)
==> Compiling Tweak.xm (armv7)…
set -o pipefail; (rm /Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/armv7/Tweak.xm.mm)
set -o pipefail; (mkdir -p /Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/armv7)
(printf “\e[0;3%im==> \e[1;39m%s…\e[m\n” 3 “Linking tweak testapp (armv7)”); set -o pipefail; (xcrun -sdk iphoneos clang++ -L/Users/liangze/theos/lib -L/Users/liangze/theos/vendor/lib -lobjc -framework Foundation -framework CoreFoundation -ObjC++ -fobjc-exceptions -fobjc-call-cxx-cdtors -F/Users/liangze/theos/vendor/lib -framework CydiaSubstrate -dynamiclib -install_name “/Library/MobileSubstrate/DynamicLibraries/testapp.dylib” -isysroot “/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS11.0.sdk” -D__IPHONE_OS_VERSION_MIN_REQUIRED=__IPHONE_6_0 -miphoneos-version-min=6.0 -Wl,-segalign,4000 -multiply_defined suppress -arch armv7 -ggdb -O0 -o “/Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/armv7/testapp.dylib” /Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/armv7/Tweak.xm.9275b38c.o | (grep -v ‘usr/lib/dylib1.o, missing required architecture’ || true))
==> Linking tweak testapp (armv7)…
clang: warning: libstdc++ is deprecated; move to libc++ with a minimum deployment target of iOS 7 [-Wdeprecated]
set -o pipefail; (mkdir -p /Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/arm64/)
(printf “\e[0;3%im==> \e[1;39m%s…\e[m\n” 1 “Preprocessing Tweak.xm”); set -o pipefail; (/Users/liangze/theos/bin/logos.pl -c warnings=error Tweak.xm > /Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/arm64/Tweak.xm.mm)
==> Preprocessing Tweak.xm…
(printf “\e[0;3%im==> \e[1;39m%s…\e[m\n” 2 “Compiling Tweak.xm (arm64)”); set -o pipefail; (xcrun -sdk iphoneos clang++ -x objective-c++ -c -I"/Users/liangze/Documents/Class-dump-app/testapp" -I/Users/liangze/theos/include -I/Users/liangze/theos/vendor/include -I/Users/liangze/theos/include/_fallback -include /Users/liangze/theos/Prefix.pch -DTARGET_IPHONE=1 -O0 -Wall -Werror -isysroot “/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS11.0.sdk” -D__IPHONE_OS_VERSION_MIN_REQUIRED=__IPHONE_6_0 -miphoneos-version-min=6.0 -fmodules -fcxx-modules -fmodule-name=testapp -fbuild-session-file=/Users/liangze/Documents/Class-dump-app/testapp/.theos/build_session -fmodules-prune-after=345600 -fmodules-prune-interval=86400 -fmodules-validate-once-per-build-session -DDEBUG -ggdb -O0 -DTHEOS_INSTANCE_NAME=“"testapp"” -arch arm64 /Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/arm64/Tweak.xm.mm -o /Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/arm64/Tweak.xm.301b2702.o)
==> Compiling Tweak.xm (arm64)…
set -o pipefail; (rm /Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/arm64/Tweak.xm.mm)
set -o pipefail; (mkdir -p /Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/arm64)
(printf “\e[0;3%im==> \e[1;39m%s…\e[m\n” 3 “Linking tweak testapp (arm64)”); set -o pipefail; (xcrun -sdk iphoneos clang++ -L/Users/liangze/theos/lib -L/Users/liangze/theos/vendor/lib -lobjc -framework Foundation -framework CoreFoundation -ObjC++ -fobjc-exceptions -fobjc-call-cxx-cdtors -F/Users/liangze/theos/vendor/lib -framework CydiaSubstrate -dynamiclib -install_name “/Library/MobileSubstrate/DynamicLibraries/testapp.dylib” -isysroot “/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS11.0.sdk” -D__IPHONE_OS_VERSION_MIN_REQUIRED=__IPHONE_6_0 -miphoneos-version-min=6.0 -multiply_defined suppress -arch arm64 -ggdb -O0 -o “/Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/arm64/testapp.dylib” /Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/arm64/Tweak.xm.301b2702.o | (grep -v ‘usr/lib/dylib1.o, missing required architecture’ || true))
==> Linking tweak testapp (arm64)…
clang: warning: libstdc++ is deprecated; move to libc++ with a minimum deployment target of iOS 7 [-Wdeprecated]
(printf “\e[0;3%im==> \e[1;39m%s…\e[m\n” 4 “Merging tweak testapp”); set -o pipefail; (xcrun lipo -arch armv7 /Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/armv7/testapp.dylib -arch arm64 /Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/arm64/testapp.dylib -create -output “/Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/testapp.dylib.47ba6b93.unsigned”)
==> Merging tweak testapp…
(printf “\e[0;3%im==> \e[1;39m%s…\e[m\n” 4 “Signing testapp”); set -o pipefail; (CODESIGN_ALLOCATE=“/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/codesign_allocate” ldid -S “/Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/testapp.dylib.47ba6b93.unsigned” && mv “/Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/testapp.dylib.47ba6b93.unsigned” “/Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/testapp.dylib”)
==> Signing testapp…

大神你好,
➜ testapp make messages=yes

Making all for tweak testapp…
set -o pipefail; (/Applications/Xcode.app/Contents/Developer/usr/bin/make -f Makefile --no-print-directory --no-keep-going
internal-library-compile
_THEOS_CURRENT_TYPE=tweak THEOS_CURRENT_INSTANCE=testapp _THEOS_CURRENT_OPERATION=compile
THEOS_BUILD_DIR=“.” _THEOS_MAKE_PARALLEL=yes)
set -o pipefail; (mkdir -p /Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/armv7/)
(printf “\e[0;3%im==> \e[1;39m%s…\e[m\n” 1 “Preprocessing Tweak.xm”); set -o pipefail; (/Users/liangze/theos/bin/logos.pl -c warnings=error Tweak.xm > /Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/armv7/Tweak.xm.mm)
==> Preprocessing Tweak.xm…
(printf “\e[0;3%im==> \e[1;39m%s…\e[m\n” 2 “Compiling Tweak.xm (armv7)”); set -o pipefail; (xcrun -sdk iphoneos clang++ -x objective-c++ -c -I"/Users/liangze/Documents/Class-dump-app/testapp" -I/Users/liangze/theos/include -I/Users/liangze/theos/vendor/include -I/Users/liangze/theos/include/_fallback -include /Users/liangze/theos/Prefix.pch -DTARGET_IPHONE=1 -O0 -Wall -Werror -isysroot “/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS11.0.sdk” -D__IPHONE_OS_VERSION_MIN_REQUIRED=__IPHONE_6_0 -miphoneos-version-min=6.0 -fmodules -fcxx-modules -fmodule-name=testapp -fbuild-session-file=/Users/liangze/Documents/Class-dump-app/testapp/.theos/build_session -fmodules-prune-after=345600 -fmodules-prune-interval=86400 -fmodules-validate-once-per-build-session -DDEBUG -ggdb -O0 -DTHEOS_INSTANCE_NAME=“"testapp"” -arch armv7 /Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/armv7/Tweak.xm.mm -o /Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/armv7/Tweak.xm.9275b38c.o)
==> Compiling Tweak.xm (armv7)…
set -o pipefail; (rm /Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/armv7/Tweak.xm.mm)
set -o pipefail; (mkdir -p /Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/armv7)
(printf “\e[0;3%im==> \e[1;39m%s…\e[m\n” 3 “Linking tweak testapp (armv7)”); set -o pipefail; (xcrun -sdk iphoneos clang++ -L/Users/liangze/theos/lib -L/Users/liangze/theos/vendor/lib -lobjc -framework Foundation -framework CoreFoundation -ObjC++ -fobjc-exceptions -fobjc-call-cxx-cdtors -F/Users/liangze/theos/vendor/lib -framework CydiaSubstrate -dynamiclib -install_name “/Library/MobileSubstrate/DynamicLibraries/testapp.dylib” -isysroot “/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS11.0.sdk” -D__IPHONE_OS_VERSION_MIN_REQUIRED=__IPHONE_6_0 -miphoneos-version-min=6.0 -Wl,-segalign,4000 -multiply_defined suppress -arch armv7 -ggdb -O0 -o “/Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/armv7/testapp.dylib” /Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/armv7/Tweak.xm.9275b38c.o | (grep -v ‘usr/lib/dylib1.o, missing required architecture’ || true))
==> Linking tweak testapp (armv7)…
clang: warning: libstdc++ is deprecated; move to libc++ with a minimum deployment target of iOS 7 [-Wdeprecated]
set -o pipefail; (mkdir -p /Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/arm64/)
(printf “\e[0;3%im==> \e[1;39m%s…\e[m\n” 1 “Preprocessing Tweak.xm”); set -o pipefail; (/Users/liangze/theos/bin/logos.pl -c warnings=error Tweak.xm > /Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/arm64/Tweak.xm.mm)
==> Preprocessing Tweak.xm…
(printf “\e[0;3%im==> \e[1;39m%s…\e[m\n” 2 “Compiling Tweak.xm (arm64)”); set -o pipefail; (xcrun -sdk iphoneos clang++ -x objective-c++ -c -I"/Users/liangze/Documents/Class-dump-app/testapp" -I/Users/liangze/theos/include -I/Users/liangze/theos/vendor/include -I/Users/liangze/theos/include/_fallback -include /Users/liangze/theos/Prefix.pch -DTARGET_IPHONE=1 -O0 -Wall -Werror -isysroot “/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS11.0.sdk” -D__IPHONE_OS_VERSION_MIN_REQUIRED=__IPHONE_6_0 -miphoneos-version-min=6.0 -fmodules -fcxx-modules -fmodule-name=testapp -fbuild-session-file=/Users/liangze/Documents/Class-dump-app/testapp/.theos/build_session -fmodules-prune-after=345600 -fmodules-prune-interval=86400 -fmodules-validate-once-per-build-session -DDEBUG -ggdb -O0 -DTHEOS_INSTANCE_NAME=“"testapp"” -arch arm64 /Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/arm64/Tweak.xm.mm -o /Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/arm64/Tweak.xm.301b2702.o)
==> Compiling Tweak.xm (arm64)…
set -o pipefail; (rm /Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/arm64/Tweak.xm.mm)
set -o pipefail; (mkdir -p /Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/arm64)
(printf “\e[0;3%im==> \e[1;39m%s…\e[m\n” 3 “Linking tweak testapp (arm64)”); set -o pipefail; (xcrun -sdk iphoneos clang++ -L/Users/liangze/theos/lib -L/Users/liangze/theos/vendor/lib -lobjc -framework Foundation -framework CoreFoundation -ObjC++ -fobjc-exceptions -fobjc-call-cxx-cdtors -F/Users/liangze/theos/vendor/lib -framework CydiaSubstrate -dynamiclib -install_name “/Library/MobileSubstrate/DynamicLibraries/testapp.dylib” -isysroot “/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS11.0.sdk” -D__IPHONE_OS_VERSION_MIN_REQUIRED=__IPHONE_6_0 -miphoneos-version-min=6.0 -multiply_defined suppress -arch arm64 -ggdb -O0 -o “/Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/arm64/testapp.dylib” /Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/arm64/Tweak.xm.301b2702.o | (grep -v ‘usr/lib/dylib1.o, missing required architecture’ || true))
==> Linking tweak testapp (arm64)…
clang: warning: libstdc++ is deprecated; move to libc++ with a minimum deployment target of iOS 7 [-Wdeprecated]
(printf “\e[0;3%im==> \e[1;39m%s…\e[m\n” 4 “Merging tweak testapp”); set -o pipefail; (xcrun lipo -arch armv7 /Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/armv7/testapp.dylib -arch arm64 /Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/arm64/testapp.dylib -create -output “/Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/testapp.dylib.47ba6b93.unsigned”)
==> Merging tweak testapp…
(printf “\e[0;3%im==> \e[1;39m%s…\e[m\n” 4 “Signing testapp”); set -o pipefail; (CODESIGN_ALLOCATE=“/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/codesign_allocate” ldid -S “/Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/testapp.dylib.47ba6b93.unsigned” && mv “/Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/testapp.dylib.47ba6b93.unsigned” “/Users/liangze/Documents/Class-dump-app/testapp/.theos/obj/debug/testapp.dylib”)
==> Signing testapp…

原来是包名的问题,貌似也不能用下划线什么的

最近在看Python相关,对于Python的工程以及变量命名真的是,
总结还是尊重每种语言的习惯吧
搞的我今天创建工程用了 auto_re 这样的方式

大神你好

> Making all for tweak iOSREProject…
set -o pipefail; (/Applications/Xcode.app/Contents/Developer/usr/bin/make -f Makefile --no-print-directory --no-keep-going \
		internal-library-compile \
		_THEOS_CURRENT_TYPE=tweak THEOS_CURRENT_INSTANCE=iOSREProject _THEOS_CURRENT_OPERATION=compile \
		THEOS_BUILD_DIR="." _THEOS_MAKE_PARALLEL=yes)
make[2]: Nothing to be done for `internal-library-compile'.
set -o pipefail; (rm -rf "/Users/liguocong/Desktop/Study/iosreproject/.theos/_")
set -o pipefail; (/opt/theos/bin/fakeroot.sh -p "/Users/liguocong/Desktop/Study/iosreproject/.theos/fakeroot" -c)
set -o pipefail; (mkdir -p "/Users/liguocong/Desktop/Study/iosreproject/.theos/_")
set -o pipefail; ([ -d layout ] && rsync -a "layout/" "/Users/liguocong/Desktop/Study/iosreproject/.theos/_" --exclude "DEBIAN" --exclude "_MTN" --exclude ".git" --exclude ".svn" --exclude ".DS_Store" --exclude "._*" || true)
> Making stage for tweak iOSREProject…
set -o pipefail; (mkdir -p "/Users/liguocong/Desktop/Study/iosreproject/.theos/_/Library/MobileSubstrate/DynamicLibraries/")
set -o pipefail; (cp /Users/liguocong/Desktop/Study/iosreproject/.theos/obj/debug/iOSREProject.dylib "/Users/liguocong/Desktop/Study/iosreproject/.theos/_/Library/MobileSubstrate/DynamicLibraries/")
set -o pipefail; (if [[ ! -f "iOSREProject.plist" && ! -f "layout//Library/MobileSubstrate/DynamicLibraries/iOSREProject.plist" ]]; then \
		printf "\e[0;31m==> \e[1;31mError:\e[m %s\n" "You are missing a filter property list. Make sure it’s named iOSREProject.plist. Refer to http://iphonedevwiki.net/index.php/Cydia_Substrate#MobileLoader." >&2; \
		exit 1; \
	elif [[ -f "iOSREProject.plist" ]]; then \
		cp iOSREProject.plist "/Users/liguocong/Desktop/Study/iosreproject/.theos/_/Library/MobileSubstrate/DynamicLibraries/"; \
	fi)
set -o pipefail; (mkdir -p "/Users/liguocong/Desktop/Study/iosreproject/.theos/_/DEBIAN")
set -o pipefail; (sed -e '/^[Vv]ersion:/d; /^$/d; $a\' "/Users/liguocong/Desktop/Study/iosreproject/control" > "/Users/liguocong/Desktop/Study/iosreproject/.theos/_/DEBIAN/control")
set -o pipefail; (echo "Version: 0.0.1-17+debug" >> "/Users/liguocong/Desktop/Study/iosreproject/.theos/_/DEBIAN/control")
set -o pipefail; (echo "Installed-Size: 136" >> "/Users/liguocong/Desktop/Study/iosreproject/.theos/_/DEBIAN/control")
set -o pipefail; (COPYFILE_DISABLE=1 /opt/theos/bin/fakeroot.sh -p "/Users/liguocong/Desktop/Study/iosreproject/.theos/fakeroot" -r dm.pl -Zlzma -b "/Users/liguocong/Desktop/Study/iosreproject/.theos/_" "./packages/com.lgc.iosreproject_0.0.1-17+debug_iphoneos-arm.deb")
Can't locate IO/Compress/Lzma.pm in @INC (you may need to install the IO::Compress::Lzma module) (@INC contains: /usr/local/Cellar/perl/5.26.1/lib/perl5/site_perl/5.26.1/darwin-thread-multi-2level /usr/local/Cellar/perl/5.26.1/lib/perl5/site_perl/5.26.1 /usr/local/Cellar/perl/5.26.1/lib/perl5/5.26.1/darwin-thread-multi-2level /usr/local/Cellar/perl/5.26.1/lib/perl5/5.26.1 /usr/local/lib/perl5/site_perl/5.26.1/darwin-thread-multi-2level /usr/local/lib/perl5/site_perl/5.26.1) at /opt/theos/bin/dm.pl line 12.
BEGIN failed--compilation aborted at /opt/theos/bin/dm.pl line 12.
make: *** [internal-package] Error 2
sudo cpan IO::Compress::Lzma

谢谢,跑了还是不行

> Making all for tweak iOSREProject…
set -o pipefail; (/Applications/Xcode.app/Contents/Developer/usr/bin/make -f Makefile --no-print-directory --no-keep-going \
		internal-library-compile \
		_THEOS_CURRENT_TYPE=tweak THEOS_CURRENT_INSTANCE=iOSREProject _THEOS_CURRENT_OPERATION=compile \
		THEOS_BUILD_DIR="." _THEOS_MAKE_PARALLEL=yes)
make[2]: Nothing to be done for `internal-library-compile'.
set -o pipefail; (rm -rf "/Users/liguocong/Desktop/Study/iosreproject/.theos/_")
set -o pipefail; (/opt/theos/bin/fakeroot.sh -p "/Users/liguocong/Desktop/Study/iosreproject/.theos/fakeroot" -c)
set -o pipefail; (mkdir -p "/Users/liguocong/Desktop/Study/iosreproject/.theos/_")
set -o pipefail; ([ -d layout ] && rsync -a "layout/" "/Users/liguocong/Desktop/Study/iosreproject/.theos/_" --exclude "DEBIAN" --exclude "_MTN" --exclude ".git" --exclude ".svn" --exclude ".DS_Store" --exclude "._*" || true)
> Making stage for tweak iOSREProject…
set -o pipefail; (mkdir -p "/Users/liguocong/Desktop/Study/iosreproject/.theos/_/Library/MobileSubstrate/DynamicLibraries/")
set -o pipefail; (cp /Users/liguocong/Desktop/Study/iosreproject/.theos/obj/debug/iOSREProject.dylib "/Users/liguocong/Desktop/Study/iosreproject/.theos/_/Library/MobileSubstrate/DynamicLibraries/")
set -o pipefail; (if [[ ! -f "iOSREProject.plist" && ! -f "layout//Library/MobileSubstrate/DynamicLibraries/iOSREProject.plist" ]]; then \
		printf "\e[0;31m==> \e[1;31mError:\e[m %s\n" "You are missing a filter property list. Make sure it’s named iOSREProject.plist. Refer to http://iphonedevwiki.net/index.php/Cydia_Substrate#MobileLoader." >&2; \
		exit 1; \
	elif [[ -f "iOSREProject.plist" ]]; then \
		cp iOSREProject.plist "/Users/liguocong/Desktop/Study/iosreproject/.theos/_/Library/MobileSubstrate/DynamicLibraries/"; \
	fi)
set -o pipefail; (mkdir -p "/Users/liguocong/Desktop/Study/iosreproject/.theos/_/DEBIAN")
set -o pipefail; (sed -e '/^[Vv]ersion:/d; /^$/d; $a\' "/Users/liguocong/Desktop/Study/iosreproject/control" > "/Users/liguocong/Desktop/Study/iosreproject/.theos/_/DEBIAN/control")
set -o pipefail; (echo "Version: 0.0.1-20+debug" >> "/Users/liguocong/Desktop/Study/iosreproject/.theos/_/DEBIAN/control")
set -o pipefail; (echo "Installed-Size: 136" >> "/Users/liguocong/Desktop/Study/iosreproject/.theos/_/DEBIAN/control")
set -o pipefail; (COPYFILE_DISABLE=1 /opt/theos/bin/fakeroot.sh -p "/Users/liguocong/Desktop/Study/iosreproject/.theos/fakeroot" -r dm.pl -Zlzma -b "/Users/liguocong/Desktop/Study/iosreproject/.theos/_" "./packages/com.lgc.iosreproject_0.0.1-20+debug_iphoneos-arm.deb")
dm.pl: building package `com.lgc.iosreproject:iphoneos-arm' in `./packages/com.lgc.iosreproject_0.0.1-20+debug_iphoneos-arm.deb'
  1. 检查dpkg dpkg --version
  2. 没有问题的话,删除theos ,重新克隆安装 https://github.com/theos/theos/wiki/Installation
1 个赞

dpkg --version
Debian dpkg 软件包管理程序 1.18.24 (darwin-amd64) 版。
本软件是自由软件;要获知复制该软件的条件,请参阅 GNU 公共许可证
第二版或其更新的版本。本软件【不】提供任何担保。

这是没问题吧

是的没问题

好的,谢谢,那我重装后,再把结果贴上来

重装后,新建了一个项目,还是不行

> Making all for tweak iOSNReProject…
set -o pipefail; (/Applications/Xcode.app/Contents/Developer/usr/bin/make -f Makefile --no-print-directory --no-keep-going \
		internal-library-compile \
		_THEOS_CURRENT_TYPE=tweak THEOS_CURRENT_INSTANCE=iOSNReProject _THEOS_CURRENT_OPERATION=compile \
		THEOS_BUILD_DIR="." _THEOS_MAKE_PARALLEL=yes)
make[2]: Nothing to be done for `internal-library-compile'.
set -o pipefail; (rm -rf "/Users/liguocong/Desktop/Study/iosnreproject/.theos/_")
set -o pipefail; (/opt/theos/bin/fakeroot.sh -p "/Users/liguocong/Desktop/Study/iosnreproject/.theos/fakeroot" -c)
set -o pipefail; (mkdir -p "/Users/liguocong/Desktop/Study/iosnreproject/.theos/_")
set -o pipefail; ([ -d layout ] && rsync -a "layout/" "/Users/liguocong/Desktop/Study/iosnreproject/.theos/_" --exclude "DEBIAN" --exclude "_MTN" --exclude ".git" --exclude ".svn" --exclude ".DS_Store" --exclude "._*" || true)
> Making stage for tweak iOSNReProject…
set -o pipefail; (mkdir -p "/Users/liguocong/Desktop/Study/iosnreproject/.theos/_/Library/MobileSubstrate/DynamicLibraries/")
set -o pipefail; (cp /Users/liguocong/Desktop/Study/iosnreproject/.theos/obj/debug/iOSNReProject.dylib "/Users/liguocong/Desktop/Study/iosnreproject/.theos/_/Library/MobileSubstrate/DynamicLibraries/")
set -o pipefail; (if [[ ! -f "iOSNReProject.plist" && ! -f "layout//Library/MobileSubstrate/DynamicLibraries/iOSNReProject.plist" ]]; then \
		printf "\e[0;31m==> \e[1;31mError:\e[m %s\n" "You are missing a filter property list. Make sure it’s named iOSNReProject.plist. Refer to http://iphonedevwiki.net/index.php/Cydia_Substrate#MobileLoader." >&2; \
		exit 1; \
	elif [[ -f "iOSNReProject.plist" ]]; then \
		cp iOSNReProject.plist "/Users/liguocong/Desktop/Study/iosnreproject/.theos/_/Library/MobileSubstrate/DynamicLibraries/"; \
	fi)
set -o pipefail; (mkdir -p "/Users/liguocong/Desktop/Study/iosnreproject/.theos/_/DEBIAN")
set -o pipefail; (sed -e '/^[Vv]ersion:/d; /^$/d; $a\' "/Users/liguocong/Desktop/Study/iosnreproject/control" > "/Users/liguocong/Desktop/Study/iosnreproject/.theos/_/DEBIAN/control")
set -o pipefail; (echo "Version: 0.0.1-2+debug" >> "/Users/liguocong/Desktop/Study/iosnreproject/.theos/_/DEBIAN/control")
set -o pipefail; (echo "Installed-Size: 136" >> "/Users/liguocong/Desktop/Study/iosnreproject/.theos/_/DEBIAN/control")
set -o pipefail; (COPYFILE_DISABLE=1 /opt/theos/bin/fakeroot.sh -p "/Users/liguocong/Desktop/Study/iosnreproject/.theos/fakeroot" -r dm.pl -Zlzma -b "/Users/liguocong/Desktop/Study/iosnreproject/.theos/_" "./packages/com.lgc.iosnreproject_0.0.1-2+debug_iphoneos-arm.deb")
dm.pl: building package `com.lgc.iosnreproject:iphoneos-arm' in `./packages/com.lgc.iosnreproject_0.0.1-2+debug_iphoneos-arm.deb'

我也是爆同样的错 该怎么解决呢

Making all for tweak iOSERProject…
/Applications/Xcode.app/Contents/Developer/usr/bin/make -f Makefile --no-keep-going FORCE_COLOR=1
internal-library-compile
_THEOS_CURRENT_TYPE=tweak THEOS_CURRENT_INSTANCE=iOSERProject _THEOS_CURRENT_OPERATION=compile
THEOS_BUILD_DIR=“.” _THEOS_MAKE_PARALLEL=yes
make[2]: Nothing to be done for internal-library-compile'. set -o pipefail; (rm -rf "/Users/snakeninny/Code/ioserproject/.theos/_") set -o pipefail; (/opt/theos/bin/fakeroot.sh -p "/Users/snakeninny/Code/ioserproject/.theos/fakeroot" -c) set -o pipefail; (mkdir -p "/Users/snakeninny/Code/ioserproject/.theos/_") set -o pipefail; ([ -d layout ] && rsync -a "layout/" "/Users/snakeninny/Code/ioserproject/.theos/_" --exclude "DEBIAN" --exclude "_MTN" --exclude ".git" --exclude ".svn" --exclude ".DS_Store" --exclude "._*" || true) Making stage for tweak iOSERProject… set -o pipefail; (mkdir -p "/Users/snakeninny/Code/ioserproject/.theos/_/Library/MobileSubstrate/DynamicLibraries/") set -o pipefail; (cp /Users/snakeninny/Code/ioserproject/.theos/obj/debug/iOSERProject.dylib "/Users/snakeninny/Code/ioserproject/.theos/_/Library/MobileSubstrate/DynamicLibraries/") set -o pipefail; (if [[ ! -f "iOSERProject.plist" && ! -f "layout//Library/MobileSubstrate/DynamicLibraries/iOSERProject.plist" ]]; then \ printf "\e[0;31m==> \e[1;31mError:\e[m %s\n" "You are missing a filter property list. Make sure it’s named iOSERProject.plist. Refer to http://iphonedevwiki.net/index.php/Cydia_Substrate#MobileLoader." >&2; \ exit 1; \ elif [[ -f "iOSERProject.plist" ]]; then \ cp iOSERProject.plist "/Users/snakeninny/Code/ioserproject/.theos/_/Library/MobileSubstrate/DynamicLibraries/"; \ fi) set -o pipefail; (mkdir -p "/Users/snakeninny/Code/ioserproject/.theos/_/DEBIAN") set -o pipefail; (sed -e '/^[Vv]ersion:/d; /^$/d; $a\' "/Users/snakeninny/Code/ioserproject/control" > "/Users/snakeninny/Code/ioserproject/.theos/_/DEBIAN/control") set -o pipefail; (echo "Version: 0.0.1-10+debug" >> "/Users/snakeninny/Code/ioserproject/.theos/_/DEBIAN/control") set -o pipefail; (echo "Installed-Size: 136" >> "/Users/snakeninny/Code/ioserproject/.theos/_/DEBIAN/control") set -o pipefail; (COPYFILE_DISABLE=1 /opt/theos/bin/fakeroot.sh -p "/Users/snakeninny/Code/ioserproject/.theos/fakeroot" -r dm.pl -Zlzma -b "/Users/snakeninny/Code/ioserproject/.theos/_" "./packages/com.iosre.iosreproject_0.0.1-10+debug_iphoneos-arm.deb") dm.pl: building package com.iosre.iosreproject:iphoneos-arm’ in `./packages/com.iosre.iosreproject_0.0.1-10+debug_iphoneos-arm.deb’